---
title: HTML elements reference
slug: Web/HTML/Element
tags:
  - Basic
  - Element
  - HTML
  - Reference
  - Web
  - 'l10n:priority'
---
<div>{{HTMLSidebar("Elements")}}</div>

<p><span class="seoSummary">This page lists all the {{Glossary("HTML")}} {{Glossary("Element","elements")}}, which are created using {{Glossary("Tag", "tags")}}.</span> They are grouped by function to help you find what you have in mind easily. An alphabetical list of all elements is provided in the sidebar on every element's page as well as this one.</p>

<div class="note">
<p>For more information about the basics of HTML elements and attributes, see <a href="/en-US/docs/Learn/HTML/Introduction_to_HTML#Elements_%E2%80%94_the_basic_building_blocks">the section on elements in the Introduction to HTML article</a>.</p>
</div>

<h2 id="Main_root">Main root</h2>

<p>{{HTMLRefTable("HTML Root Element")}}</p>

<h2 id="Document_metadata">Document metadata</h2>

<p>Metadata contains information about the page. This includes information about styles, scripts and data to help software ({{Glossary("search engine", "search engines")}}, {{Glossary("Browser","browsers")}}, etc.) use and render the page. Metadata for styles and scripts may be defined in the page or link to another file that has the information. </p>

<p>{{HTMLRefTable("HTML Document Metadata")}}</p>

<h2 id="Sectioning_root">Sectioning root</h2>

<p>{{HTMLRefTable("Sectioning Root Element")}}</p>

<h2 id="Content_sectioning">Content sectioning</h2>

<p>Content sectioning elements allow you to organize the document content into logical pieces. Use the sectioning elements to create a broad outline for your page content, including header and footer navigation, and heading elements to identify sections of content.   </p>

<p>{{HTMLRefTable("HTML Sections")}}</p>

<h2 id="Text_content">Text content</h2>

<p>Use HTML text content elements to organize blocks or sections of content placed between the opening {{HTMLElement("body")}} and closing <code>&lt;/body&gt;</code> tags. Important for {{Glossary("accessibility")}} and {{Glossary("SEO")}}, these elements identify the purpose or structure of that content.     </p>

<p>{{HTMLRefTable("HTML Grouping Content")}}</p>

<h2 id="Inline_text_semantics">Inline text semantics</h2>

<p>Use the HTML inline text semantic to define the meaning, structure, or style of a word, line, or any arbitrary piece of text.</p>

<p>{{HTMLRefTable("HTML Text-Level Semantics")}}</p>

<h2 id="Image_and_multimedia">Image and multimedia</h2>

<p>HTML supports various multimedia resources such as images, audio, and video.</p>

<p>{{HTMLRefTable("multimedia")}}</p>

<h2 id="Embedded_content">Embedded content</h2>

<p>In addition to regular multimedia content, HTML can include a variety of other content, even if it's not always easy to interact with.</p>

<p>{{HTMLRefTable({"include":["HTML embedded content"], "exclude":["multimedia"]})}}</p>

<h2 id="SVG_and_Math">SVG and MathML</h2>

<p>You can embed <a href="/en-US/docs/Web/SVG">SVG</a> and <a href="/en-US/docs/Web/MathML">MathML</a> content directly into HTML documents, using the {{SVGElement("svg")}} and {{MathMLElement("math")}} elements.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Element</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td style="vertical-align: top;">{{SVGElement("svg")}}</td>
   <td>The <code>svg</code> element is a container that defines a new coordinate system and <a href="/en-US/docs/Web/SVG/Attribute/viewBox">viewport</a>. It is used as the outermost element of SVG documents, but it can also be used to embed an SVG fragment inside an SVG or HTML document.</td>
  </tr>
  <tr>
   <td style="vertical-align: top;">{{MathMLElement("math")}}</td>
   <td>The top-level element in MathML is <code>&lt;math&gt;</code>. Every valid MathML instance must be wrapped in <code>&lt;math&gt;</code> tags. In addition you must not nest a second <code>&lt;math&gt;</code> element in another, but you can have an arbitrary number of other child elements in it.</td>
  </tr>
 </tbody>
</table>

<h2 id="Scripting">Scripting</h2>

<p>In order to create dynamic content and Web applications, HTML supports the use of scripting languages, most prominently JavaScript. Certain elements support this capability.</p>

<p>{{HTMLRefTable("HTML Scripting")}}</p>

<h2 id="Demarcating_edits">Demarcating edits</h2>

<p>These elements let you provide indications that specific parts of the text have been altered.</p>

<p>{{HTMLRefTable("HTML Edits")}}</p>

<h2 id="Table_content">Table content</h2>

<p>The elements here are used to create and handle tabular data.</p>

<p>{{HTMLRefTable("HTML tabular data")}}</p>

<h2 id="Forms">Forms</h2>

<p>HTML provides a number of elements which can be used together to create forms which the user can fill out and submit to the Web site or application. There's a great deal of further information about this available in the <a href="/en-US/docs/Learn/Forms">HTML forms guide</a>.</p>

<p>{{HTMLRefTable({"include": ["HTML forms"], "exclude":["Deprecated"]})}}</p>

<h2 id="Interactive_elements">Interactive elements</h2>

<p>HTML offers a selection of elements which help to create interactive user interface objects.</p>

<p>{{HTMLRefTable("HTML interactive elements")}}</p>

<h2 id="Web_Components">Web Components</h2>

<p>Web Components is an HTML-related technology which makes it possible to, essentially, create and use custom elements as if it were regular HTML. In addition, you can create custom versions of standard HTML elements.</p>

<p>{{HTMLRefTable({"include":["Web Components"],"exclude":["Deprecated", "Obsolete"]})}}</p>

<h2 id="Obsolete_and_deprecated_elements">Obsolete and deprecated elements</h2>

<div class="warning">
<p><strong>Warning:</strong> These are old HTML elements which are deprecated and should not be used. <strong>You should never use them in new projects, and should replace them in old projects as soon as you can.</strong> They are listed here for informational purposes only.</p>
</div>

<p>{{HTMLRefTable({"include":["Deprecated","Obsolete"]})}}</p>
